zapette.hpp File Reference
Private

remote control between dar and dar_slave. More...

`#include "../my_config.h"`
`#include "infinint.hpp"`
`#include "generic_file.hpp"`
`#include "integers.hpp"`
`#include "mem_ui.hpp"`
`#include "contextual.hpp"`

Go to the source code of this file.

## Classes

class | libdar::zapette
| zapette emulate a file that is remotely controlled by slave_zapette More...

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

remote control between dar and dar_slave.

Two objects communicate through a paire of pipes:

- zapette is the dar side master class
- slave_zapette dar_slave side

they form a communication channel between dar/libdar (zapette side) and dar_slave/libdar (dar_slave side)

Definition in file zapette.hpp.